%define majver %(echo %version | cut -d. -f1-2)
Name:          mm-common
Version:       1.0.5
Release:       1mamba
Summary:       Common build files of the C++ bindings
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.gnome.org/GNOME/mm-common/
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/mm-common/%{majver}/mm-common-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
Common build files of the C++ bindings.

%package devel
Summary:       Common build files of the C++ bindings
Group:         Development/Tools

%description devel
Common build files of the C++ bindings.

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_bindir}/mm-common-get
%{_bindir}/mm-common-prepare
%{_datadir}/aclocal/mm-*.m4
%dir %{_datadir}/mm-common
%dir %{_datadir}/mm-common/build
%{_datadir}/mm-common/build/*
%dir %{_datadir}/mm-common/doctags
%{_datadir}/mm-common/doctags/libstdc++.tag
%dir %{_datadir}/mm-common/doctool
%{_datadir}/mm-common/doctool/*
%{_datadir}/pkgconfig/mm-common-libstdc++.pc
%{_datadir}/pkgconfig/mm-common-util.pc
%{_mandir}/man1/mm-common-get.1*
%{_mandir}/man1/mm-common-prepare.1*
%dir %{_datadir}/doc/mm-common
%{_datadir}/doc/mm-common/*
%doc AUTHORS COPYING

%changelog
* Sat Dec 03 2022 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Sat Feb 12 2022 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Thu May 20 2021 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Sat Sep 26 2020 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Fri Jun 05 2020 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri Nov 22 2019 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sun Apr 08 2018 Automatic Build System <autodist@mambasoft.it> 0.9.12-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic version update by autodist

* Thu Mar 17 2016 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic version update by autodist

* Thu Dec 17 2015 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic version update by autodist

* Thu Oct 02 2014 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic update by autodist

* Mon Oct 08 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- update to 0.9.6

* Tue Sep 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- package created by autospec
